#include<stdio.h>

int main(){
  int n,ind,i,j;
  scanf("%d",&n);
  if (n<=0){
    printf("-1");
    return 1;
  }
  for(i=1;i<=n;i++){
    ind=1;
    for(j=1;j<=(2*n-1);j++)
      if((j>=n-i+1)&&(j<=n+i-1))
	if(ind==1){
	  printf("*");
	  ind=0;	  
	}else{
	  ind=1;
	  printf("A");
	} else
	printf(" ");
    printf("\n");
  }
  return 0;
}
